Page MenuHomeSolus

debug (James Lee)
User

Projects

User does not belong to any projects.

Today

  • Clear sailing ahead.

Tomorrow

  • Clear sailing ahead.

Thursday

  • Clear sailing ahead.

User Details

User Since
Dec 8 2017, 7:41 PM (179 w, 3 d)

Recent Activity

Oct 31 2018

debug abandoned D2885: Updated pycodestyle to 2.4.0.

Closing due to the latest release of flake8 and D4232.

Oct 31 2018, 5:27 PM

Jul 25 2018

debug added a comment to D3348: Update pylint to 2.0.1.

I went ahead and built spyder and installed it and @sunnyflunk is correct. Updating pylint to 2.0 or above would mean that spyder will not work correctly. As far as I can see there could be three solutions to this. The first being to separate the pylint package into python2/3 versions keeping the python 2 version at 1.9 which IIRC will have python 2 support until 2020. The second solution would be to leave pylint at version 1.9 and see what the spyder developers do about the depreciation of python 2 support for pylint. The last would be to remove spyder but this seems a little extreme.

Jul 25 2018, 1:16 PM
debug added a comment to D3348: Update pylint to 2.0.1.
Jul 25 2018, 12:44 PM
debug updated the diff for D3347: Update python-astroid to 1.6.5.

Sorted rundeps

Jul 25 2018, 12:02 PM
debug added a comment to D3348: Update pylint to 2.0.1.

I missed that you accepted this before I updated it to 2.0.1. Sorry it's only a minor change which fixes a crash.

Jul 25 2018, 11:59 AM
debug retitled D3348: Update pylint to 2.0.1 from Update pylint to 2.0 to Update pylint to 2.0.1.
Jul 25 2018, 11:59 AM
debug updated the summary of D3348: Update pylint to 2.0.1.
Jul 25 2018, 11:59 AM
debug updated the diff for D3348: Update pylint to 2.0.1.

Update pylint to 2.0.1

Jul 25 2018, 11:58 AM
debug added a comment to D3348: Update pylint to 2.0.1.

I dropped Python 2 support because pylint itself no longer supports Python 2. Here is an issue which was closed on the 9th of May saying that pylint 2.0 will be dropping support for Python 2. This is the same for python-astroid.

Jul 25 2018, 11:23 AM

Jul 21 2018

debug added a comment to D3352: Update wine to 3.13.

Ah okay that's good to hear. In that case the testing was successful. I was able to login to Battle.Net.

Jul 21 2018, 8:56 AM

Jul 20 2018

debug added a comment to D3352: Update wine to 3.13.

I will point out that although I am able to login to Battle.Net using this wine version I do get a 'program error' popup. Battle.Net seems to run perfectly fine anyway though. I have tried it with Wine 3.12 and 3.13 and I get the same error.

Jul 20 2018, 9:23 PM
debug updated the test plan for D3352: Update wine to 3.13.
Jul 20 2018, 9:11 PM
debug requested review of D3352: Update wine to 3.13.
Jul 20 2018, 7:04 PM
debug requested review of D3350: Update neovim to 0.3.1.
Jul 20 2018, 3:53 PM
debug updated the summary of D3348: Update pylint to 2.0.1.
Jul 20 2018, 12:06 PM
debug updated the summary of D3347: Update python-astroid to 1.6.5.
Jul 20 2018, 12:02 PM
debug requested review of D3348: Update pylint to 2.0.1.
Jul 20 2018, 12:01 PM
debug requested review of D3347: Update python-astroid to 1.6.5.
Jul 20 2018, 11:56 AM
debug requested review of D3346: Initial addition of python-typed-ast.
Jul 20 2018, 11:51 AM

Jul 11 2018

debug updated the diff for D3227: Update Atom to 1.28.1.

Updated Atom to 1.28.1. Thanks alecbcs for letting me know.

Jul 11 2018, 8:41 PM

Jul 3 2018

debug requested review of D3227: Update Atom to 1.28.1.
Jul 3 2018, 8:52 PM

Jun 11 2018

debug requested review of D3071: Update neovim to 0.3.0.
Jun 11 2018, 10:01 PM
debug requested review of D3070: Update python-neovim to 0.2.6.
Jun 11 2018, 9:45 PM

Jun 7 2018

debug requested review of D3050: Updated sqlite3 to 3.24.0.
Jun 7 2018, 2:30 PM

Jun 4 2018

debug updated the diff for D2978: Update Atom to 1.27.2.

Update Atom to 1.27.2

Jun 4 2018, 10:59 AM
debug added a comment to D2978: Update Atom to 1.27.2.

In terms of building Atom 1.27.1 afaik I'm not doing anything in particular. I'm building with Solbuild (1.4.2) using the unstable-x86_64 image. I've included a screenshot showing the Atom version I have installed.


I did have occasions where the build would fail but it was due to poor internet connection. It wasn't any module in particular that would fail it would just be if I lost connection while downloading the next module to build.

Jun 4 2018, 9:12 AM

May 22 2018

debug updated the summary of D2978: Update Atom to 1.27.2.
May 22 2018, 12:25 AM
debug updated the summary of D2978: Update Atom to 1.27.2.
May 22 2018, 12:13 AM
debug updated the diff for D2978: Update Atom to 1.27.2.

Updated diff info. I accidentally closed arc.

May 22 2018, 12:12 AM
debug requested review of D2978: Update Atom to 1.27.2.
May 22 2018, 12:07 AM

May 19 2018

debug requested review of D2958: Update to 2018.05.18.
May 19 2018, 1:01 PM

May 18 2018

debug requested review of D2949: Update to 8.1.0001.
May 18 2018, 12:25 PM

May 8 2018

debug updated the diff for D2884: Updated pylint to 1.8.4.

Removed the depends on D2885.

May 8 2018, 3:14 PM
debug requested review of D2889: Rebuild to include Python 3.
May 8 2018, 2:53 PM
debug planned changes to D2885: Updated pycodestyle to 2.4.0.

This package should not be upgraded until the next version of 'flake8'. The new dependencies are required otherwise a 'DistributionNotFound' error will be thrown leaving flake8 unusable.

May 8 2018, 2:29 PM
debug updated the diff for D2883: Update python-astroid to 1.6.3.

Updated license

May 8 2018, 10:28 AM
debug updated the diff for D2884: Updated pylint to 1.8.4.

Forgot to update license in pspec_x86_64.xml

May 8 2018, 10:26 AM
debug updated the diff for D2884: Updated pylint to 1.8.4.

Updated license

May 8 2018, 10:21 AM
debug added a comment to D2884: Updated pylint to 1.8.4.

Okay. I will go through my current open patches and update them where necessary.

May 8 2018, 9:43 AM
debug requested review of D2886: Initial packaging of autopep8.
May 8 2018, 9:12 AM
debug requested review of D2885: Updated pycodestyle to 2.4.0.
May 8 2018, 9:00 AM
debug added a comment to D2884: Updated pylint to 1.8.4.

After looking back at this differential I believe I misunderstood when to use 'Depends'. Updating 'pylint' does not *require* updating 'python-astroid' however as it states of the GitHub page the later the version of 'python-astroid' the better. I'll leave the 'Depends' in the differential for now unless instructed otherwise.

May 8 2018, 1:05 AM

May 7 2018

debug requested review of D2884: Updated pylint to 1.8.4.
May 7 2018, 8:45 PM
debug requested review of D2883: Update python-astroid to 1.6.3.
May 7 2018, 8:39 PM
debug updated the summary of D2881: Update bash-completion to 2.8.
May 7 2018, 8:05 PM
debug updated the diff for D2881: Update bash-completion to 2.8.

I didn't know you could do that^^. I will do from now on. Updated change log available here.

May 7 2018, 7:56 PM
debug requested review of D2881: Update bash-completion to 2.8.
May 7 2018, 7:41 PM

May 4 2018

debug abandoned D1744: Initial commit of working eopkg completions for fish.

No need to have a separate package

May 4 2018, 2:17 PM
debug abandoned D2394: Updated 'python-pillow' to 5.0.0.

Package has now been updated to a later version

May 4 2018, 2:14 PM

Mar 24 2018

debug updated the test plan for D2394: Updated 'python-pillow' to 5.0.0.
Mar 24 2018, 3:24 PM

Mar 17 2018

debug added a comment to D1744: Initial commit of working eopkg completions for fish.

Thanks for the link to the packaging practices. I have given them a good read over; the yauto.py script does indeed make the job a lot easier. I see no reason that they can't be shipped with eopkg it defiantly doesn't need to be a separate project.

Mar 17 2018, 3:48 PM

Mar 14 2018

debug updated the task description for T6026: OpenDyslexic.
Mar 14 2018, 10:51 PM · Needs Maintainer, Package Requests
debug updated the task description for T6026: OpenDyslexic.
Mar 14 2018, 10:44 PM · Needs Maintainer, Package Requests
debug created T6026: OpenDyslexic.
Mar 14 2018, 10:42 PM · Needs Maintainer, Package Requests

Feb 27 2018

debug added a comment to D2396: Initial packaging of 'python-bitstring'.

After re-reading the inclusion policy. I see the mistake I've made here; I should have created a package request to see it would be accepted into the repository. I will stick to updating packages for now. Thanks again.

Feb 27 2018, 11:33 AM
debug added a comment to D2396: Initial packaging of 'python-bitstring'.

Oh no it's just a package that I've needed in the past and it was trivial to package up. I thought package requests were just if you didn't know how to package for yourself; I can submit a request if that's the correct route to take. I will read of over the package inclusion policy again.

Feb 27 2018, 10:45 AM
debug requested review of D2396: Initial packaging of 'python-bitstring'.
Feb 27 2018, 10:14 AM
debug updated the diff for D2394: Updated 'python-pillow' to 5.0.0.

Replaced libjpeg-turbo-devel with pkgconfig(libturbojpeg)

Feb 27 2018, 9:36 AM
debug updated the diff for D2394: Updated 'python-pillow' to 5.0.0.

Fixed error with 'python-pillow-devel' package.
The headers directory was moved from 'libImaging' -> 'src/libImaging'.

Feb 27 2018, 1:47 AM
debug retitled D2394: Updated 'python-pillow' to 5.0.0 from Update to 5.0.0 to Updated 'python-pillow' to 5.0.0.
Feb 27 2018, 12:43 AM
debug updated the test plan for D2394: Updated 'python-pillow' to 5.0.0.
Feb 27 2018, 12:31 AM
debug requested review of D2394: Updated 'python-pillow' to 5.0.0.
Feb 27 2018, 12:30 AM

Jan 24 2018

debug updated the diff for D2055: Update ruby-neovim to 0.7.0.

Changed to new 'programming.ruby' component

Jan 24 2018, 12:40 AM
debug updated the diff for D2056: Initial working addition of ruby-multi-json.

Changed to new 'programming.ruby' component

Jan 24 2018, 12:39 AM
debug updated the diff for D2054: Update ruby-msgpack to 1.2.2.

Changed to new 'programming.ruby' component

Jan 24 2018, 12:39 AM

Jan 23 2018

debug added a comment to D2056: Initial working addition of ruby-multi-json.

Okay that sounds good ill try build the packages again whenever you are ready. Thanks for the quick reply!

Jan 23 2018, 1:21 AM
debug added a comment to D2056: Initial working addition of ruby-multi-json.

Scratch that It seems to be temperamental. I've just tried rebuilding 'ruby-multi-json' and get the same error now?

Jan 23 2018, 1:12 AM
debug added a comment to D2056: Initial working addition of ruby-multi-json.

I've just tested building this package with '%gem_install' which builds the 'ruby-multi-gem' package successfully. However not the other two packages. I've added a screenshot which shows the error I'm getting with 'ruby-neovim' and 'ruby-msgpack' but not 'ruby-multi-json'

Jan 23 2018, 1:07 AM
debug added a comment to D2056: Initial working addition of ruby-multi-json.
Jan 23 2018, 12:52 AM

Jan 22 2018

debug updated the summary of D2055: Update ruby-neovim to 0.7.0.
Jan 22 2018, 3:13 PM
debug retitled D2055: Update ruby-neovim to 0.7.0 from Update to 0.7.0 to Update ruby-neovim to 0.7.0.
Jan 22 2018, 2:44 PM
Herald added a reviewer for D2056: Initial working addition of ruby-multi-json: Triage Team.
Jan 22 2018, 2:14 PM
Herald added a reviewer for D2055: Update ruby-neovim to 0.7.0: Triage Team.
Jan 22 2018, 2:08 PM
Herald added a reviewer for D2054: Update ruby-msgpack to 1.2.2: Triage Team.
Jan 22 2018, 2:03 PM

Dec 22 2017

Herald added a reviewer for D1744: Initial commit of working eopkg completions for fish: Triage Team.
Dec 22 2017, 7:45 PM

Dec 10 2017

debug updated the test plan for D1594: Update to 0.2.0.
Dec 10 2017, 12:47 PM

Dec 9 2017

debug updated the test plan for D1594: Update to 0.2.0.
Dec 9 2017, 12:02 AM

Dec 8 2017

debug added a comment to D1594: Update to 0.2.0.

Hi Josh, Sorry first time doing this; what is it that you want in terms of test plan? I'm also guessing you want the change log in the 'arc diff' message?

Dec 8 2017, 11:29 PM
Herald added a reviewer for D1594: Update to 0.2.0: Triage Team.
Dec 8 2017, 11:13 PM